%define oname Sigil

Summary:	A free open source WYSIWYG ebook editor
Name:		sigil
Version:	0.7.1
Release:	%mkrel 1
Url:		http://code.google.com/p/sigil/
Source0:	http://sigil.googlecode.com/files/%{oname}-%{version}-Code.zip
License:	GPLv3 and CC-BY-SA
Group:		Office/Utilities
BuildRequires:	cmake
BuildRequires:	qt5-devel
BuildRequires:	qtwebkit5-devel
BuildRequires:	qt5svg-devel
BuildRequires:	qt5webkitwidgets-devel
BuildRequires:	qt5quick-devel
BuildRequires:	qt5qml-devel
BuildRequires:	qt5xmlpatterns-devel
BuildRequires:	qt5help-devel
BuildRequires:	qttools5
BuildRequires:	boost-devel >= 1.53.0
BuildRequires:	libxerces-c-devel
BuildRequires:	hunspell-devel >= 1.3.2
BuildRequires:	pcre-devel >= 8.31
BuildRequires:	zlib-devel >= 1.2.7

%description
Sigil is a free, open source WYSIWYG ebook editor.
It is designed to edit books in ePub format.

%prep
%setup -qcn %{oname}-%{version}-Code

rm -fr src/BoostParts
# fix end of line encoding for the docs:
sed -i 's/\r//' ChangeLog.txt README.txt COPYING.txt

%build
# there are only internal helper libs, and they need to be static as build
# fails otherwise (they contain undefined symbols), and making them shared
# libs wouldn't make sense anyway (they are not shared by anything else)
# - Anssi 06/2010
%cmake -G "Unix Makefiles" -DBUILD_SHARED_LIBS:BOOL=OFF -DBUILD_STATIC_LIBS:BOOL=ON
%make

%install
%makeinstall_std -C build

# install icons for the .desktop file
install -m644 -D src/Sigil/Resource_Files/icon/app_icon_16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 -D src/Sigil/Resource_Files/icon/app_icon_32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 -D src/Sigil/Resource_Files/icon/app_icon_48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 -D src/Sigil/Resource_Files/icon/app_icon_128.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
install -m644 -D src/Sigil/Resource_Files/icon/app_icon_256.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

# create a .desktop file:
mkdir -p %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=%{oname}
Comment=WYSIWYG ebook editor
Icon=%{name}
Exec=%{name} %u
MimeType=application/epub+zip;
Categories=Office;
EOF

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog.txt README.txt COPYING.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/*.png
%{_datadir}/%{name}/*


%changelog

* Thu Apr 11 2013 dams <dams> 0.7.1-1.mga3
+ Revision: 409661
- update BR to match qt5*
- update boost require as it needs 1.53
- new version 0.7.1

* Mon Jan 14 2013 umeabot <umeabot> 0.6.2-2.mga3
+ Revision: 382012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Wed Dec 26 2012 dams <dams> 0.6.2-1.mga3
+ Revision: 335227
- new version 0.6.2

* Thu Dec 20 2012 fwang <fwang> 0.6.1-2.mga3
+ Revision: 333103
- rebuild for new boost

* Mon Dec 03 2012 dams <dams> 0.6.1-1.mga3
+ Revision: 325889
- new version 0.6.1

* Sat Dec 01 2012 fwang <fwang> 0.6.0-2.mga3
+ Revision: 323835
- rebuild for new pcre

  + dams <dams>
    - new version 0.6.0
    - check versions for buildrequires

* Sat Aug 11 2012 dams <dams> 0.5.3-1.mga3
+ Revision: 280683
- new version 0.5.3
- update buildrequires
- clean specfile

* Tue Nov 29 2011 fwang <fwang> 0.4.2-1.mga2
+ Revision: 174114
- build without system libs, especially boost lib
- new version 0.4.2
- rebuild for new boost

* Wed Jun 22 2011 fwang <fwang> 0.4.0-0.rc1.2.mga2
+ Revision: 112015
- use boost mt libs
- rebuild for new boost

* Mon Apr 25 2011 ahmad <ahmad> 0.4.0-0.rc1.1.mga1
+ Revision: 90316
- Update to 0.4.0RC1

* Fri Mar 25 2011 ahmad <ahmad> 0.4.0-0.b3.1.mga1
+ Revision: 77218
- update to 0.4.0b3

* Mon Mar 21 2011 ahmad <ahmad> 0.4.0-0.b2.1.mga1
+ Revision: 75286
- 0.4.0b2

* Mon Mar 21 2011 ahmad <ahmad> 0.4.0-0.b1.1.mga1
+ Revision: 75085
- update to 0.4.0b1
- rediff patch1
- update the file list

* Sat Jan 15 2011 ahmad <ahmad> 0.3.2-2.mga1
+ Revision: 19761
- update to 0.3.4
- imported package sigil


* Wed Nov 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.2-1mdv2011.0
+ Revision: 600474
- update to 0.3.2

* Mon Nov 08 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.1-1mdv2011.0
+ Revision: 595009
- update to 0.3.1

* Fri Nov 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.0-1mdv2011.0
+ Revision: 593775
- update to 0.3.0

* Sun Oct 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.0-0.RC2.1mdv2011.0
+ Revision: 584546
- update to 0.3.0RC2

* Sat Oct 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.0-0.RC1.1mdv2011.0
+ Revision: 584293
- update to 0.3.0RC1
- bump qt BR to 4.7.0
- add BR, libxerces-c-devel
- rediff patch1 and make the package build with system libxerces-c (thanks to Anssi \o/)
- modify spec to make packaging rc's easier

* Fri Aug 13 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.4-1mdv2011.0
+ Revision: 569342
- update to 0.2.4
- rediff patch1

* Wed Jun 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.3-1mdv2011.0
+ Revision: 548731
- what do you know? new upstream release 0.2.3
- add more BR (they're pulled by qt-devel, but I prefer an explicit BR in this case)
- import sigil


